SOFTELメモ Developer's blog

会社概要 ブログ 調査依頼 社員募集 ...

【php】Invalid library (maybe not a PHP library) ‘mcrypt.so’

問題

こんなエラー(警告)が発生する。

[10-Aug-2010 18:39:39] PHP Warning:  Unknown(): Invalid library (maybe not a PHP library) 'mcrypt.so'  in Unknown on line 0

なぜ?

答え

mcrypt拡張機能は、–with-mcryptパラメータを付けてphpをコンパイルすることで使えるようになる。

mcrypt.soを作って、php.ini に extension=mcrypt.so 追記するタイプのmcryptも同時に入れてませんか?

基本は前者だけでよい。後者だけの場合も問題ないかもしれません。両方入れるとおかしくなることがあります。

関連するメモ

コメント